#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSS = 858,
  CSS2Properties = 862,
  CSSAnimation = 877,
  CSSConditionRule = 890,
  CSSContainerRule = 907,
  CSSCounterStyleRule = 924,
  CSSCustomPropertyRegisteredEvent = 944,
  CSSFontFaceRule = 977,
  CSSFontFeatureValuesRule = 993,
  CSSFontPaletteValuesRule = 1018,
  CSSGroupingRule = 1043,
  CSSImportRule = 1059,
  CSSKeyframeRule = 1073,
  CSSKeyframesRule = 1089,
  CSSLayerBlockRule = 1106,
  CSSLayerStatementRule = 1124,
  CSSMarginRule = 1146,
  CSSMediaRule = 1160,
  CSSMozDocumentRule = 1173,
  CSSNamespaceRule = 1192,
  CSSPageRule = 1209,
  CSSPropertyRule = 1221,
  CSSPseudoElement = 1237,
  CSSRule = 1254,
  CSSRuleList = 1262,
  CSSScopeRule = 1274,
  CSSStartingStyleRule = 1287,
  CSSStyleDeclaration = 1308,
  CSSStyleRule = 1328,
  CSSStyleSheet = 1341,
  CSSSupportsRule = 1355,
  CSSTransition = 1371,
  Cache = 1385,
  CacheStorage = 1391,
  CallbackDebuggerNotification = 1404,
  CanonicalBrowsingContext = 1433,
  CanvasCaptureMediaStream = 1458,
  CanvasGradient = 1483,
  CanvasPattern = 1498,
  CanvasRenderingContext2D = 1512,
  CaretPosition = 1537,
  CaretStateChangedEvent = 1551,
  ChannelMergerNode = 1574,
  ChannelSplitterNode = 1592,
  ChannelWrapper = 1612,
  CharacterData = 1627,
  CheckerboardReportService = 1641,
  ChildProcessMessageManager = 1667,
  ChildSHistory = 1694,
  ChromeMessageBroadcaster = 1708,
  ChromeMessageSender = 1733,
  ChromeNodeList = 1753,
  ChromeUtils = 1768,
  ChromeWorker = 1780,
  Client = 1793,
  Clients = 1800,
  Clipboard = 1808,
  ClipboardEvent = 1818,
  ClipboardItem = 1833,
  ClonedErrorHolder = 1847,
  CloseEvent = 1865,
  CommandEvent = 1876,
  Comment = 1889,
  CompositionEvent = 1897,
  CompressionStream = 1914,
  ConsoleInstance = 1932,
  ConstantSourceNode = 1948,
  ContentFrameMessageManager = 1967,
  ContentProcessMessageManager = 1994,
  ContentVisibilityAutoStateChangeEvent = 2023,
  ConvolverNode = 2061,
  CountQueuingStrategy = 2075,
  CreateOfferRequest = 2096,
  Credential = 2115,
  CredentialsContainer = 2126,
  Crypto = 2147,
  CryptoKey = 2154,
  CustomElementRegistry = 2164,
  CustomEvent = 2186,
  CustomStateSet = 2198,
  DOMException = 2213,
  DOMImplementation = 2226,
  DOMLocalization = 2244,
  DOMMatrix = 2260,
  DOMMatrixReadOnly = 2270,
  DOMParser = 2288,
  DOMPoint = 2298,
  DOMPointReadOnly = 2307,
  DOMQuad = 2324,
  DOMRect = 2332,
  DOMRectList = 2340,
  DOMRectReadOnly = 2352,
  DOMStringList = 2368,
  DOMStringMap = 2382,
  DOMTokenList = 2395,
  DataTransfer = 2408,
  DataTransferItem = 2421,
  DataTransferItemList = 2438,
  DebuggerNotification = 2459,
  DebuggerNotificationObserver = 2480,
  DecompressionStream = 2509,
  DedicatedWorkerGlobalScope = 2529,
  DelayNode = 2556,
  DeprecationReportBody = 2566,
  DeviceAcceleration = 2588,
  DeviceLightEvent = 2607,
  DeviceMotionEvent = 2624,
  DeviceOrientationEvent = 2642,
  DeviceRotationRate = 2665,
  Directory = 2684,
  Document = 2694,
  DocumentFragment = 2703,
  DocumentL10n = 2720,
  DocumentTimeline = 2733,
  DocumentType = 2750,
  DominatorTree = 2763,
  DragEvent = 2777,
  DynamicsCompressorNode = 2787,
  EXT_blend_minmax = 2810,
  EXT_color_buffer_float = 2827,
  EXT_color_buffer_half_float = 2850,
  EXT_disjoint_timer_query = 2878,
  EXT_float_blend = 2903,
  EXT_frag_depth = 2919,
  EXT_sRGB = 2934,
  EXT_shader_texture_lod = 2943,
  EXT_texture_compression_bptc = 2966,
  EXT_texture_compression_rgtc = 2995,
  EXT_texture_filter_anisotropic = 3024,
  EXT_texture_norm16 = 3055,
  Element = 3074,
  ElementInternals = 3082,
  EncodedAudioChunk = 3099,
  EncodedVideoChunk = 3117,
  ErrorEvent = 3135,
  Event = 3146,
  EventCallbackDebuggerNotification = 3152,
  EventCounts = 3186,
  EventSource = 3198,
  EventTarget = 3210,
  Exception = 3222,
  ExtendableEvent = 3232,
  ExtendableMessageEvent = 3248,
  ExtensionAlarms = 3271,
  ExtensionBrowser = 3287,
  ExtensionBrowserSettings = 3304,
  ExtensionBrowserSettingsColorManagement = 3329,
  ExtensionDns = 3369,
  ExtensionEventManager = 3382,
  ExtensionMockAPI = 3404,
  ExtensionPort = 3421,
  ExtensionProxy = 3435,
  ExtensionRuntime = 3450,
  ExtensionScripting = 3467,
  ExtensionSetting = 3486,
  ExtensionTest = 3503,
  External = 3517,
  FeaturePolicy = 3526,
  FeaturePolicyViolationReportBody = 3540,
  FetchEvent = 3573,
  FetchObserver = 3584,
  File = 3598,
  FileList = 3603,
  FileReader = 3612,
  FileReaderSync = 3623,
  FileSystem = 3638,
  FileSystemDirectoryEntry = 3649,
  FileSystemDirectoryHandle = 3674,
  FileSystemDirectoryHandle_AsyncIterator = 3700,
  FileSystemDirectoryIterator = 3740,
  FileSystemDirectoryReader = 3768,
  FileSystemEntry = 3794,
  FileSystemFileEntry = 3810,
  FileSystemFileHandle = 3830,
  FileSystemHandle = 3851,
  FileSystemSyncAccessHandle = 3868,
  FileSystemWritableFileStream = 3895,
  Flex = 3924,
  FlexItemValues = 3929,
  FlexLineValues = 3944,
  FluentBundle = 3959,
  FluentBundleAsyncIterator = 3972,
  FluentBundleIterator = 3998,
  FluentPattern = 4019,
  FluentResource = 4033,
  FocusEvent = 4048,
  FontFace = 4059,
  FontFaceSet = 4068,
  FontFaceSetIterator = 4080,
  FontFaceSetLoadEvent = 4100,
  FormData = 4121,
  FormData_Iterator = 4130,
  FormDataEvent = 4148,
  FragmentDirective = 4162,
  FrameCrashedEvent = 4180,
  FrameLoader = 4198,
  GPU = 4210,
  GPUAdapter = 4214,
  GPUAdapterInfo = 4225,
  GPUBindGroup = 4240,
  GPUBindGroupLayout = 4253,
  GPUBuffer = 4272,
  GPUBufferUsage = 4282,
  GPUCanvasContext = 4297,
  GPUColorWrite = 4314,
  GPUCommandBuffer = 4328,
  GPUCommandEncoder = 4345,
  GPUCompilationInfo = 4363,
  GPUCompilationMessage = 4382,
  GPUComputePassEncoder = 4404,
  GPUComputePipeline = 4426,
  GPUDevice = 4445,
  GPUDeviceLostInfo = 4455,
  GPUError = 4473,
  GPUInternalError = 4482,
  GPUMapMode = 4499,
  GPUOutOfMemoryError = 4510,
  GPUPipelineLayout = 4530,
  GPUQuerySet = 4548,
  GPUQueue = 4560,
  GPURenderBundle = 4569,
  GPURenderBundleEncoder = 4585,
  GPURenderPassEncoder = 4608,
  GPURenderPipeline = 4629,
  GPUSampler = 4647,
  GPUShaderModule = 4658,
  GPUShaderStage = 4674,
  GPUSupportedFeatures = 4689,
  GPUSupportedLimits = 4710,
  GPUTexture = 4729,
  GPUTextureUsage = 4740,
  GPUTextureView = 4756,
  GPUUncapturedErrorEvent = 4771,
  GPUValidationError = 4795,
  GainNode = 4814,
  Gamepad = 4823,
  GamepadAxisMoveEvent = 4831,
  GamepadButton = 4852,
  GamepadButtonEvent = 4866,
  GamepadEvent = 4885,
  GamepadHapticActuator = 4898,
  GamepadLightIndicator = 4920,
  GamepadPose = 4942,
  GamepadServiceTest = 4954,
  GamepadTouch = 4973,
  Geolocation = 4986,
  GeolocationCoordinates = 4998,
  GeolocationPosition = 5021,
  GeolocationPositionError = 5041,
  GetUserMediaRequest = 5066,
  GleanBoolean = 5086,
  GleanCategory = 5099,
  GleanCounter = 5113,
  GleanCustomDistribution = 5126,
  GleanDatetime = 5150,
  GleanDenominator = 5164,
  GleanEvent = 5181,
  GleanImpl = 5192,
  GleanLabeled = 5202,
  GleanMemoryDistribution = 5215,
  GleanMetric = 5239,
  GleanNumerator = 5251,
  GleanObject = 5266,
  GleanPingsImpl = 5278,
  GleanQuantity = 5293,
  GleanRate = 5307,
  GleanString = 5317,
  GleanStringList = 5329,
  GleanText = 5345,
  GleanTimespan = 5355,
  GleanTimingDistribution = 5369,
  GleanUrl = 5393,
  GleanUuid = 5402,
  Grid = 5412,
  GridArea = 5417,
  GridDimension = 5426,
  GridLine = 5440,
  GridLines = 5449,
  GridTrack = 5459,
  GridTracks = 5469,
  HTMLAllCollection = 5480,
  HTMLAnchorElement = 5498,
  HTMLAreaElement = 5516,
  HTMLAudioElement = 5532,
  HTMLBRElement = 5549,
  HTMLBaseElement = 5563,
  HTMLBodyElement = 5579,
  HTMLButtonElement = 5595,
  HTMLCanvasElement = 5613,
  HTMLCollection = 5631,
  HTMLDListElement = 5646,
  HTMLDataElement = 5663,
  HTMLDataListElement = 5679,
  HTMLDetailsElement = 5699,
  HTMLDialogElement = 5718,
  HTMLDirectoryElement = 5736,
  HTMLDivElement = 5757,
  HTMLDocument = 5772,
  HTMLElement = 5785,
  HTMLEmbedElement = 5797,
  HTMLFieldSetElement = 5814,
  HTMLFontElement = 5834,
  HTMLFormControlsCollection = 5850,
  HTMLFormElement = 5877,
  HTMLFrameElement = 5893,
  HTMLFrameSetElement = 5910,
  HTMLHRElement = 5930,
  HTMLHeadElement = 5944,
  HTMLHeadingElement = 5960,
  HTMLHtmlElement = 5979,
  HTMLIFrameElement = 5995,
  HTMLImageElement = 6013,
  HTMLInputElement = 6030,
  HTMLLIElement = 6047,
  HTMLLabelElement = 6061,
  HTMLLegendElement = 6078,
  HTMLLinkElement = 6096,
  HTMLMapElement = 6112,
  HTMLMarqueeElement = 6127,
  HTMLMediaElement = 6146,
  HTMLMenuElement = 6163,
  HTMLMetaElement = 6179,
  HTMLMeterElement = 6195,
  HTMLModElement = 6212,
  HTMLOListElement = 6227,
  HTMLObjectElement = 6244,
  HTMLOptGroupElement = 6262,
  HTMLOptionElement = 6282,
  HTMLOptionsCollection = 6300,
  HTMLOutputElement = 6322,
  HTMLParagraphElement = 6340,
  HTMLParamElement = 6361,
  HTMLPictureElement = 6378,
  HTMLPreElement = 6397,
  HTMLProgressElement = 6412,
  HTMLQuoteElement = 6432,
  HTMLScriptElement = 6449,
  HTMLSelectElement = 6467,
  HTMLSlotElement = 6485,
  HTMLSourceElement = 6501,
  HTMLSpanElement = 6519,
  HTMLStyleElement = 6535,
  HTMLTableCaptionElement = 6552,
  HTMLTableCellElement = 6576,
  HTMLTableColElement = 6597,
  HTMLTableElement = 6617,
  HTMLTableRowElement = 6634,
  HTMLTableSectionElement = 6654,
  HTMLTemplateElement = 6678,
  HTMLTextAreaElement = 6698,
  HTMLTimeElement = 6718,
  HTMLTitleElement = 6734,
  HTMLTrackElement = 6751,
  HTMLUListElement = 6768,
  HTMLUnknownElement = 6785,
  HTMLVideoElement = 6804,
  HashChangeEvent = 6821,
  Headers = 6837,
  Headers_Iterator = 6845,
  HeapSnapshot = 6862,
  Highlight = 6875,
  HighlightRegistry = 6885,
  History = 6903,
  IDBCursor = 6911,
  IDBCursorWithValue = 6921,
  IDBDatabase = 6940,
  IDBFactory = 6952,
  IDBIndex = 6963,
  IDBKeyRange = 6972,
  IDBObjectStore = 6984,
  IDBOpenDBRequest = 6999,
  IDBRequest = 7016,
  IDBTransaction = 7027,
  IDBVersionChangeEvent = 7042,
  IIRFilterNode = 7064,
  IOUtils = 7078,
  IdentityCredential = 7086,
  IdleDeadline = 7105,
  Image = 7118,
  ImageBitmap = 7124,
  ImageBitmapRenderingContext = 7136,
  ImageCapture = 7164,
  ImageCaptureError = 7177,
  ImageCaptureErrorEvent = 7195,
  ImageData = 7218,
  ImageDocument = 7228,
  InputEvent = 7242,
  InspectorCSSParser = 7253,
  InspectorFontFace = 7272,
  InspectorUtils = 7290,
  InstallTriggerImpl = 7305,
  IntersectionObserver = 7324,
  IntersectionObserverEntry = 7345,
  IntlUtils = 7371,
  InvokeEvent = 7381,
  JSProcessActorChild = 7393,
  JSProcessActorParent = 7413,
  JSWindowActorChild = 7434,
  JSWindowActorParent = 7453,
  KeyEvent = 7473,
  KeyboardEvent = 7482,
  KeyframeEffect = 7496,
  L10nFileSource = 7511,
  L10nOverlays = 7526,
  L10nRegistry = 7539,
  LargestContentfulPaint = 7552,
  LegacyMozTCPSocket = 7575,
  Localization = 7594,
  Location = 7607,
  Lock = 7616,
  LockManager = 7621,
  MIDIAccess = 7633,
  MIDIConnectionEvent = 7644,
  MIDIInput = 7664,
  MIDIInputMap = 7674,
  MIDIMessageEvent = 7687,
  MIDIOutput = 7704,
  MIDIOutputMap = 7715,
  MIDIPort = 7729,
  MOZ_debug = 7738,
  MatchGlob = 7748,
  MatchPattern = 7758,
  MatchPatternSet = 7771,
  MathMLElement = 7787,
  MediaCapabilities = 7801,
  MediaCapabilitiesInfo = 7819,
  MediaControlService = 7841,
  MediaController = 7861,
  MediaDeviceInfo = 7877,
  MediaDevices = 7893,
  MediaElementAudioSourceNode = 7906,
  MediaEncryptedEvent = 7934,
  MediaError = 7954,
  MediaKeyError = 7965,
  MediaKeyMessageEvent = 7979,
  MediaKeySession = 8000,
  MediaKeyStatusMap = 8016,
  MediaKeyStatusMap_Iterator = 8034,
  MediaKeySystemAccess = 8061,
  MediaKeys = 8082,
  MediaList = 8092,
  MediaMetadata = 8102,
  MediaQueryList = 8116,
  MediaQueryListEvent = 8131,
  MediaRecorder = 8151,
  MediaRecorderErrorEvent = 8165,
  MediaSession = 8189,
  MediaSource = 8202,
  MediaStream = 8214,
  MediaStreamAudioDestinationNode = 8226,
  MediaStreamAudioSourceNode = 8258,
  MediaStreamError = 8285,
  MediaStreamEvent = 8302,
  MediaStreamTrack = 8319,
  MediaStreamTrackAudioSourceNode = 8336,
  MediaStreamTrackEvent = 8368,
  MerchantValidationEvent = 8390,
  MessageBroadcaster = 8414,
  MessageChannel = 8433,
  MessageEvent = 8448,
  MessageListenerManager = 8461,
  MessagePort = 8484,
  MessageSender = 8496,
  MimeType = 8510,
  MimeTypeArray = 8519,
  MouseEvent = 8533,
  MouseScrollEvent = 8544,
  MozCanvasPrintState = 8561,
  MozDocumentMatcher = 8581,
  MozDocumentObserver = 8600,
  MozQueryInterface = 8620,
  MozSharedMap = 8638,
  MozSharedMap_Iterator = 8651,
  MozSharedMapChangeEvent = 8673,
  MozStorageAsyncStatementParams = 8697,
  MozStorageStatementParams = 8728,
  MozStorageStatementRow = 8754,
  MozWritableSharedMap = 8777,
  MutationEvent = 8798,
  MutationObserver = 8812,
  MutationRecord = 8829,
  NamedNodeMap = 8844,
  NavigationPreloadManager = 8857,
  Navigator = 8882,
  NetworkInformation = 8892,
  Node = 8911,
  NodeFilter = 8916,
  NodeIterator = 8927,
  NodeList = 8940,
  Notification = 8949,
  NotificationEvent = 8962,
  NotifyPaintEvent = 8980,
  OES_draw_buffers_indexed = 8997,
  OES_element_index_uint = 9022,
  OES_fbo_render_mipmap = 9045,
  OES_standard_derivatives = 9067,
  OES_texture_float = 9092,
  OES_texture_float_linear = 9110,
  OES_texture_half_float = 9135,
  OES_texture_half_float_linear = 9158,
  OES_vertex_array_object = 9188,
  OVR_multiview2 = 9212,
  OfflineAudioCompletionEvent = 9227,
  OfflineAudioContext = 9255,
  OffscreenCanvas = 9275,
  OffscreenCanvasRenderingContext2D = 9291,
  Option = 9325,
  OscillatorNode = 9332,
  PageTransitionEvent = 9347,
  PaintRequest = 9367,
  PaintRequestList = 9380,
  PaintWorkletGlobalScope = 9397,
  PannerNode = 9421,
  ParentProcessMessageManager = 9432,
  Path2D = 9460,
  PathUtils = 9467,
  PaymentAddress = 9477,
  PaymentMethodChangeEvent = 9492,
  PaymentRequest = 9517,
  PaymentRequestUpdateEvent = 9532,
  PaymentResponse = 9558,
  PeerConnectionImpl = 9574,
  PeerConnectionObserver = 9593,
  Performance = 9616,
  PerformanceEntry = 9628,
  PerformanceEntryEvent = 9645,
  PerformanceEventTiming = 9667,
  PerformanceMark = 9690,
  PerformanceMeasure = 9706,
  PerformanceNavigation = 9725,
  PerformanceNavigationTiming = 9747,
  PerformanceObserver = 9775,
  PerformanceObserverEntryList = 9795,
  PerformancePaintTiming = 9824,
  PerformanceResourceTiming = 9847,
  PerformanceServerTiming = 9873,
  PerformanceTiming = 9897,
  PeriodicWave = 9915,
  PermissionStatus = 9928,
  Permissions = 9945,
  PlacesBookmark = 9957,
  PlacesBookmarkAddition = 9972,
  PlacesBookmarkChanged = 9995,
  PlacesBookmarkGuid = 10017,
  PlacesBookmarkKeyword = 10036,
  PlacesBookmarkMoved = 10058,
  PlacesBookmarkRemoved = 10078,
  PlacesBookmarkTags = 10100,
  PlacesBookmarkTime = 10119,
  PlacesBookmarkTitle = 10138,
  PlacesBookmarkUrl = 10158,
  PlacesEvent = 10176,
  PlacesEventCounts = 10188,
  PlacesFavicon = 10206,
  PlacesHistoryCleared = 10220,
  PlacesObservers = 10241,
  PlacesPurgeCaches = 10257,
  PlacesRanking = 10275,
  PlacesVisit = 10289,
  PlacesVisitRemoved = 10301,
  PlacesVisitTitle = 10320,
  PlacesWeakCallbackWrapper = 10337,
  Plugin = 10363,
  PluginArray = 10370,
  PluginCrashedEvent = 10382,
  PointerEvent = 10401,
  PopStateEvent = 10414,
  PopupBlockedEvent = 10428,
  PopupPositionedEvent = 10446,
  PositionStateEvent = 10467,
  PrecompiledScript = 10486,
  ProcessMessageManager = 10504,
  ProcessingInstruction = 10526,
  ProgressEvent = 10548,
  PromiseDebugging = 10562,
  PromiseNativeHandler = 10579,
  PromiseRejectionEvent = 10600,
  PublicKeyCredential = 10622,
  PushEvent = 10642,
  PushManager = 10652,
  PushManagerImpl = 10664,
  PushMessageData = 10680,
  PushSubscription = 10696,
  PushSubscriptionOptions = 10713,
  RTCCertificate = 10737,
  RTCDTMFSender = 10752,
  RTCDTMFToneChangeEvent = 10766,
  RTCDataChannel = 10789,
  RTCDataChannelEvent = 10804,
  RTCDtlsTransport = 10824,
  RTCEncodedAudioFrame = 10841,
  RTCEncodedVideoFrame = 10862,
  RTCIceCandidate = 10883,
  RTCIceTransport = 10899,
  RTCIdentityProviderRegistrar = 10915,
  RTCPeerConnection = 10944,
  RTCPeerConnectionIceEvent = 10962,
  RTCPeerConnectionStatic = 10988,
  RTCRtpReceiver = 11012,
  RTCRtpScriptTransform = 11027,
  RTCRtpScriptTransformer = 11049,
  RTCRtpSender = 11073,
  RTCRtpTransceiver = 11086,
  RTCSctpTransport = 11104,
  RTCSessionDescription = 11121,
  RTCStatsReport = 11143,
  RTCTrackEvent = 11158,
  RTCTransformEvent = 11172,
  RadioNodeList = 11190,
  Range = 11204,
  ReadableByteStreamController = 11210,
  ReadableStream = 11239,
  ReadableStream_AsyncIterator = 11254,
  ReadableStreamBYOBReader = 11283,
  ReadableStreamBYOBRequest = 11308,
  ReadableStreamDefaultController = 11334,
  ReadableStreamDefaultReader = 11366,
  Report = 11394,
  ReportBody = 11401,
  ReportingObserver = 11412,
  Request = 11430,
  ResizeObserver = 11438,
  ResizeObserverEntry = 11453,
  ResizeObserverSize = 11473,
  Response = 11492,
  SVGAElement = 11501,
  SVGAngle = 11513,
  SVGAnimateElement = 11522,
  SVGAnimateMotionElement = 11540,
  SVGAnimateTransformElement = 11564,
  SVGAnimatedAngle = 11591,
  SVGAnimatedBoolean = 11608,
  SVGAnimatedEnumeration = 11627,
  SVGAnimatedInteger = 11650,
  SVGAnimatedLength = 11669,
  SVGAnimatedLengthList = 11687,
  SVGAnimatedNumber = 11709,
  SVGAnimatedNumberList = 11727,
  SVGAnimatedPreserveAspectRatio = 11749,
  SVGAnimatedRect = 11780,
  SVGAnimatedString = 11796,
  SVGAnimatedTransformList = 11814,
  SVGAnimationElement = 11839,
  SVGCircleElement = 11859,
  SVGClipPathElement = 11876,
  SVGComponentTransferFunctionElement = 11895,
  SVGDefsElement = 11931,
  SVGDescElement = 11946,
  SVGElement = 11961,
  SVGEllipseElement = 11972,
  SVGFEBlendElement = 11990,
  SVGFEColorMatrixElement = 12008,
  SVGFEComponentTransferElement = 12032,
  SVGFECompositeElement = 12062,
  SVGFEConvolveMatrixElement = 12084,
  SVGFEDiffuseLightingElement = 12111,
  SVGFEDisplacementMapElement = 12139,
  SVGFEDistantLightElement = 12167,
  SVGFEDropShadowElement = 12192,
  SVGFEFloodElement = 12215,
  SVGFEFuncAElement = 12233,
  SVGFEFuncBElement = 12251,
  SVGFEFuncGElement = 12269,
  SVGFEFuncRElement = 12287,
  SVGFEGaussianBlurElement = 12305,
  SVGFEImageElement = 12330,
  SVGFEMergeElement = 12348,
  SVGFEMergeNodeElement = 12366,
  SVGFEMorphologyElement = 12388,
  SVGFEOffsetElement = 12411,
  SVGFEPointLightElement = 12430,
  SVGFESpecularLightingElement = 12453,
  SVGFESpotLightElement = 12482,
  SVGFETileElement = 12504,
  SVGFETurbulenceElement = 12521,
  SVGFilterElement = 12544,
  SVGForeignObjectElement = 12561,
  SVGGElement = 12585,
  SVGGeometryElement = 12597,
  SVGGradientElement = 12616,
  SVGGraphicsElement = 12635,
  SVGImageElement = 12654,
  SVGLength = 12670,
  SVGLengthList = 12680,
  SVGLineElement = 12694,
  SVGLinearGradientElement = 12709,
  SVGMPathElement = 12734,
  SVGMarkerElement = 12750,
  SVGMaskElement = 12767,
  SVGMatrix = 12782,
  SVGMetadataElement = 12792,
  SVGNumber = 12811,
  SVGNumberList = 12821,
  SVGPathElement = 12835,
  SVGPathSeg = 12850,
  SVGPathSegArcAbs = 12861,
  SVGPathSegArcRel = 12878,
  SVGPathSegClosePath = 12895,
  SVGPathSegCurvetoCubicAbs = 12915,
  SVGPathSegCurvetoCubicRel = 12941,
  SVGPathSegCurvetoCubicSmoothAbs = 12967,
  SVGPathSegCurvetoCubicSmoothRel = 12999,
  SVGPathSegCurvetoQuadraticAbs = 13031,
  SVGPathSegCurvetoQuadraticRel = 13061,
  SVGPathSegCurvetoQuadraticSmoothAbs = 13091,
  SVGPathSegCurvetoQuadraticSmoothRel = 13127,
  SVGPathSegLinetoAbs = 13163,
  SVGPathSegLinetoHorizontalAbs = 13183,
  SVGPathSegLinetoHorizontalRel = 13213,
  SVGPathSegLinetoRel = 13243,
  SVGPathSegLinetoVerticalAbs = 13263,
  SVGPathSegLinetoVerticalRel = 13291,
  SVGPathSegList = 13319,
  SVGPathSegMovetoAbs = 13334,
  SVGPathSegMovetoRel = 13354,
  SVGPatternElement = 13374,
  SVGPoint = 13392,
  SVGPointList = 13401,
  SVGPolygonElement = 13414,
  SVGPolylineElement = 13432,
  SVGPreserveAspectRatio = 13451,
  SVGRadialGradientElement = 13474,
  SVGRect = 13499,
  SVGRectElement = 13507,
  SVGSVGElement = 13522,
  SVGScriptElement = 13536,
  SVGSetElement = 13553,
  SVGStopElement = 13567,
  SVGStringList = 13582,
  SVGStyleElement = 13596,
  SVGSwitchElement = 13612,
  SVGSymbolElement = 13629,
  SVGTSpanElement = 13646,
  SVGTextContentElement = 13662,
  SVGTextElement = 13684,
  SVGTextPathElement = 13699,
  SVGTextPositioningElement = 13718,
  SVGTitleElement = 13744,
  SVGTransform = 13760,
  SVGTransformList = 13773,
  SVGUnitTypes = 13790,
  SVGUseElement = 13803,
  SVGViewElement = 13817,
  Sanitizer = 13832,
  Scheduler = 13842,
  Screen = 13852,
  ScreenLuminance = 13859,
  ScreenOrientation = 13875,
  ScriptProcessorNode = 13893,
  ScrollAreaEvent = 13913,
  ScrollViewChangeEvent = 13929,
  SecurityPolicyViolationEvent = 13951,
  Selection = 13980,
  ServiceWorker = 13990,
  ServiceWorkerContainer = 14004,
  ServiceWorkerGlobalScope = 14027,
  ServiceWorkerRegistration = 14052,
  SessionStoreFormData = 14078,
  SessionStoreScrollData = 14099,
  SessionStoreUtils = 14122,
  ShadowRealmGlobalScope = 14140,
  ShadowRoot = 14163,
  SharedWorker = 14174,
  SharedWorkerGlobalScope = 14187,
  SimpleGestureEvent = 14211,
  SourceBuffer = 14230,
  SourceBufferList = 14243,
  SpeechGrammar = 14260,
  SpeechGrammarList = 14274,
  SpeechRecognition = 14292,
  SpeechRecognitionAlternative = 14310,
  SpeechRecognitionError = 14339,
  SpeechRecognitionEvent = 14362,
  SpeechRecognitionResult = 14385,
  SpeechRecognitionResultList = 14409,
  SpeechSynthesis = 14437,
  SpeechSynthesisErrorEvent = 14453,
  SpeechSynthesisEvent = 14479,
  SpeechSynthesisUtterance = 14500,
  SpeechSynthesisVoice = 14525,
  StaticRange = 14546,
  StereoPannerNode = 14558,
  Storage = 14575,
  StorageEvent = 14583,
  StorageManager = 14596,
  StreamFilter = 14611,
  StreamFilterDataEvent = 14624,
  StructuredCloneHolder = 14646,
  StructuredCloneTester = 14668,
  StyleSheet = 14690,
  StyleSheetApplicableStateChangeEvent = 14701,
  StyleSheetList = 14738,
  StyleSheetRemovedEvent = 14753,
  SubmitEvent = 14776,
  SubtleCrypto = 14788,
  SyncMessageSender = 14801,
  SyncReadFile = 14819,
  TCPServerSocket = 14832,
  TCPServerSocketEvent = 14848,
  TCPSocket = 14869,
  TCPSocketErrorEvent = 14879,
  TCPSocketEvent = 14899,
  TaskController = 14914,
  TaskPriorityChangeEvent = 14929,
  TaskSignal = 14953,
  TelemetryStopwatch = 14964,
  TestUtils = 14983,
  TestingDeprecatedInterface = 14993,
  Text = 15020,
  TextClause = 15025,
  TextDecoder = 15036,
  TextDecoderStream = 15048,
  TextEncoder = 15066,
  TextEncoderStream = 15078,
  TextEvent = 15096,
  TextMetrics = 15106,
  TextTrack = 15118,
  TextTrackCue = 15128,
  TextTrackCueList = 15141,
  TextTrackList = 15158,
  TimeEvent = 15172,
  TimeRanges = 15182,
  ToggleEvent = 15193,
  Touch = 15205,
  TouchEvent = 15211,
  TouchList = 15222,
  TrackEvent = 15232,
  TransformStream = 15243,
  TransformStreamDefaultController = 15259,
  TransitionEvent = 15292,
  TreeColumn = 15308,
  TreeColumns = 15319,
  TreeContentView = 15331,
  TreeWalker = 15347,
  TrustedHTML = 15358,
  TrustedScript = 15370,
  TrustedScriptURL = 15384,
  TrustedTypePolicy = 15401,
  TrustedTypePolicyFactory = 15419,
  UDPMessageEvent = 15444,
  UDPSocket = 15460,
  UIEvent = 15470,
  URL = 15478,
  URLSearchParams = 15482,
  URLSearchParams_Iterator = 15498,
  UniFFIPointer = 15523,
  UniFFIScaffolding = 15537,
  UserActivation = 15555,
  UserInteraction = 15570,
  UserProximityEvent = 15586,
  VRDisplay = 15605,
  VRDisplayCapabilities = 15615,
  VRDisplayEvent = 15637,
  VREyeParameters = 15652,
  VRFieldOfView = 15668,
  VRFrameData = 15682,
  VRMockController = 15694,
  VRMockDisplay = 15711,
  VRPose = 15725,
  VRServiceTest = 15732,
  VRStageParameters = 15746,
  VTTCue = 15764,
  VTTRegion = 15771,
  ValidityState = 15781,
  VideoColorSpace = 15795,
  VideoDecoder = 15811,
  VideoEncoder = 15824,
  VideoFrame = 15837,
  VideoPlaybackQuality = 15848,
  VideoTrack = 15869,
  VideoTrackList = 15880,
  VisualViewport = 15895,
  WEBGL_color_buffer_float = 15910,
  WEBGL_compressed_texture_astc = 15935,
  WEBGL_compressed_texture_etc = 15965,
  WEBGL_compressed_texture_etc1 = 15994,
  WEBGL_compressed_texture_pvrtc = 16024,
  WEBGL_compressed_texture_s3tc = 16055,
  WEBGL_compressed_texture_s3tc_srgb = 16085,
  WEBGL_debug_renderer_info = 16120,
  WEBGL_debug_shaders = 16146,
  WEBGL_depth_texture = 16166,
  WEBGL_draw_buffers = 16186,
  WEBGL_explicit_present = 16205,
  WEBGL_lose_context = 16228,
  WEBGL_provoking_vertex = 16247,
  WakeLock = 16270,
  WakeLockSentinel = 16279,
  WaveShaperNode = 16296,
  WebExtensionContentScript = 16311,
  WebExtensionPolicy = 16337,
  WebGL2RenderingContext = 16356,
  WebGLActiveInfo = 16379,
  WebGLBuffer = 16395,
  WebGLContextEvent = 16407,
  WebGLFramebuffer = 16425,
  WebGLProgram = 16442,
  WebGLQuery = 16455,
  WebGLRenderbuffer = 16466,
  WebGLRenderingContext = 16484,
  WebGLSampler = 16506,
  WebGLShader = 16519,
  WebGLShaderPrecisionFormat = 16531,
  WebGLSync = 16558,
  WebGLTexture = 16568,
  WebGLTransformFeedback = 16581,
  WebGLUniformLocation = 16604,
  WebGLVertexArrayObject = 16625,
  WebKitCSSMatrix = 16648,
  WebSocket = 16664,
  WebTransport = 16674,
  WebTransportBidirectionalStream = 16687,
  WebTransportDatagramDuplexStream = 16719,
  WebTransportError = 16752,
  WebTransportReceiveStream = 16770,
  WebTransportSendStream = 16796,
  WebrtcGlobalInformation = 16819,
  WheelEvent = 16843,
  Window = 16854,
  WindowClient = 16861,
  WindowContext = 16874,
  WindowGlobalChild = 16888,
  WindowGlobalParent = 16906,
  WindowRoot = 16925,
  Worker = 16936,
  WorkerDebuggerGlobalScope = 16943,
  WorkerGlobalScope = 16969,
  WorkerLocation = 16987,
  WorkerNavigator = 17002,
  WorkerTestUtils = 17018,
  Worklet = 17034,
  WorkletGlobalScope = 17042,
  WritableStream = 17061,
  WritableStreamDefaultController = 17076,
  WritableStreamDefaultWriter = 17108,
  XMLDocument = 17136,
  XMLHttpRequest = 17148,
  XMLHttpRequestEventTarget = 17163,
  XMLHttpRequestUpload = 17189,
  XMLSerializer = 17210,
  XPathEvaluator = 17224,
  XPathExpression = 17239,
  XPathResult = 17255,
  XRBoundedReferenceSpace = 17267,
  XRFrame = 17291,
  XRInputSource = 17299,
  XRInputSourceArray = 17313,
  XRInputSourceEvent = 17332,
  XRInputSourcesChangeEvent = 17351,
  XRPose = 17377,
  XRReferenceSpace = 17384,
  XRReferenceSpaceEvent = 17401,
  XRRenderState = 17423,
  XRRigidTransform = 17437,
  XRSession = 17454,
  XRSessionEvent = 17464,
  XRSpace = 17479,
  XRSystem = 17487,
  XRView = 17496,
  XRViewerPose = 17503,
  XRViewport = 17516,
  XRWebGLLayer = 17527,
  XSLTProcessor = 17540,
  XULCommandEvent = 17554,
  XULElement = 17570,
  XULFrameElement = 17581,
  XULMenuElement = 17597,
  XULPopupElement = 17612,
  XULResizerElement = 17628,
  XULTextElement = 17646,
  XULTreeElement = 17661,
  console = 17676,
  webkitSpeechGrammar = 17684,
  webkitSpeechGrammarList = 17704,
  webkitSpeechRecognition = 17728,
  webkitURL = 17752,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
