#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSS" "\0"
  /*   862 */ "CSS2Properties" "\0"
  /*   877 */ "CSSAnimation" "\0"
  /*   890 */ "CSSConditionRule" "\0"
  /*   907 */ "CSSContainerRule" "\0"
  /*   924 */ "CSSCounterStyleRule" "\0"
  /*   944 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   977 */ "CSSFontFaceRule" "\0"
  /*   993 */ "CSSFontFeatureValuesRule" "\0"
  /*  1018 */ "CSSFontPaletteValuesRule" "\0"
  /*  1043 */ "CSSGroupingRule" "\0"
  /*  1059 */ "CSSImportRule" "\0"
  /*  1073 */ "CSSKeyframeRule" "\0"
  /*  1089 */ "CSSKeyframesRule" "\0"
  /*  1106 */ "CSSLayerBlockRule" "\0"
  /*  1124 */ "CSSLayerStatementRule" "\0"
  /*  1146 */ "CSSMarginRule" "\0"
  /*  1160 */ "CSSMediaRule" "\0"
  /*  1173 */ "CSSMozDocumentRule" "\0"
  /*  1192 */ "CSSNamespaceRule" "\0"
  /*  1209 */ "CSSPageRule" "\0"
  /*  1221 */ "CSSPropertyRule" "\0"
  /*  1237 */ "CSSPseudoElement" "\0"
  /*  1254 */ "CSSRule" "\0"
  /*  1262 */ "CSSRuleList" "\0"
  /*  1274 */ "CSSScopeRule" "\0"
  /*  1287 */ "CSSStartingStyleRule" "\0"
  /*  1308 */ "CSSStyleDeclaration" "\0"
  /*  1328 */ "CSSStyleRule" "\0"
  /*  1341 */ "CSSStyleSheet" "\0"
  /*  1355 */ "CSSSupportsRule" "\0"
  /*  1371 */ "CSSTransition" "\0"
  /*  1385 */ "Cache" "\0"
  /*  1391 */ "CacheStorage" "\0"
  /*  1404 */ "CallbackDebuggerNotification" "\0"
  /*  1433 */ "CanonicalBrowsingContext" "\0"
  /*  1458 */ "CanvasCaptureMediaStream" "\0"
  /*  1483 */ "CanvasGradient" "\0"
  /*  1498 */ "CanvasPattern" "\0"
  /*  1512 */ "CanvasRenderingContext2D" "\0"
  /*  1537 */ "CaretPosition" "\0"
  /*  1551 */ "CaretStateChangedEvent" "\0"
  /*  1574 */ "ChannelMergerNode" "\0"
  /*  1592 */ "ChannelSplitterNode" "\0"
  /*  1612 */ "ChannelWrapper" "\0"
  /*  1627 */ "CharacterData" "\0"
  /*  1641 */ "CheckerboardReportService" "\0"
  /*  1667 */ "ChildProcessMessageManager" "\0"
  /*  1694 */ "ChildSHistory" "\0"
  /*  1708 */ "ChromeMessageBroadcaster" "\0"
  /*  1733 */ "ChromeMessageSender" "\0"
  /*  1753 */ "ChromeNodeList" "\0"
  /*  1768 */ "ChromeUtils" "\0"
  /*  1780 */ "ChromeWorker" "\0"
  /*  1793 */ "Client" "\0"
  /*  1800 */ "Clients" "\0"
  /*  1808 */ "Clipboard" "\0"
  /*  1818 */ "ClipboardEvent" "\0"
  /*  1833 */ "ClipboardItem" "\0"
  /*  1847 */ "ClonedErrorHolder" "\0"
  /*  1865 */ "CloseEvent" "\0"
  /*  1876 */ "CommandEvent" "\0"
  /*  1889 */ "Comment" "\0"
  /*  1897 */ "CompositionEvent" "\0"
  /*  1914 */ "CompressionStream" "\0"
  /*  1932 */ "ConsoleInstance" "\0"
  /*  1948 */ "ConstantSourceNode" "\0"
  /*  1967 */ "ContentFrameMessageManager" "\0"
  /*  1994 */ "ContentProcessMessageManager" "\0"
  /*  2023 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2061 */ "ConvolverNode" "\0"
  /*  2075 */ "CountQueuingStrategy" "\0"
  /*  2096 */ "CreateOfferRequest" "\0"
  /*  2115 */ "Credential" "\0"
  /*  2126 */ "CredentialsContainer" "\0"
  /*  2147 */ "Crypto" "\0"
  /*  2154 */ "CryptoKey" "\0"
  /*  2164 */ "CustomElementRegistry" "\0"
  /*  2186 */ "CustomEvent" "\0"
  /*  2198 */ "CustomStateSet" "\0"
  /*  2213 */ "DOMException" "\0"
  /*  2226 */ "DOMImplementation" "\0"
  /*  2244 */ "DOMLocalization" "\0"
  /*  2260 */ "DOMMatrix" "\0"
  /*  2270 */ "DOMMatrixReadOnly" "\0"
  /*  2288 */ "DOMParser" "\0"
  /*  2298 */ "DOMPoint" "\0"
  /*  2307 */ "DOMPointReadOnly" "\0"
  /*  2324 */ "DOMQuad" "\0"
  /*  2332 */ "DOMRect" "\0"
  /*  2340 */ "DOMRectList" "\0"
  /*  2352 */ "DOMRectReadOnly" "\0"
  /*  2368 */ "DOMStringList" "\0"
  /*  2382 */ "DOMStringMap" "\0"
  /*  2395 */ "DOMTokenList" "\0"
  /*  2408 */ "DataTransfer" "\0"
  /*  2421 */ "DataTransferItem" "\0"
  /*  2438 */ "DataTransferItemList" "\0"
  /*  2459 */ "DebuggerNotification" "\0"
  /*  2480 */ "DebuggerNotificationObserver" "\0"
  /*  2509 */ "DecompressionStream" "\0"
  /*  2529 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2556 */ "DelayNode" "\0"
  /*  2566 */ "DeprecationReportBody" "\0"
  /*  2588 */ "DeviceAcceleration" "\0"
  /*  2607 */ "DeviceLightEvent" "\0"
  /*  2624 */ "DeviceMotionEvent" "\0"
  /*  2642 */ "DeviceOrientationEvent" "\0"
  /*  2665 */ "DeviceRotationRate" "\0"
  /*  2684 */ "Directory" "\0"
  /*  2694 */ "Document" "\0"
  /*  2703 */ "DocumentFragment" "\0"
  /*  2720 */ "DocumentL10n" "\0"
  /*  2733 */ "DocumentTimeline" "\0"
  /*  2750 */ "DocumentType" "\0"
  /*  2763 */ "DominatorTree" "\0"
  /*  2777 */ "DragEvent" "\0"
  /*  2787 */ "DynamicsCompressorNode" "\0"
  /*  2810 */ "EXT_blend_minmax" "\0"
  /*  2827 */ "EXT_color_buffer_float" "\0"
  /*  2850 */ "EXT_color_buffer_half_float" "\0"
  /*  2878 */ "EXT_disjoint_timer_query" "\0"
  /*  2903 */ "EXT_float_blend" "\0"
  /*  2919 */ "EXT_frag_depth" "\0"
  /*  2934 */ "EXT_sRGB" "\0"
  /*  2943 */ "EXT_shader_texture_lod" "\0"
  /*  2966 */ "EXT_texture_compression_bptc" "\0"
  /*  2995 */ "EXT_texture_compression_rgtc" "\0"
  /*  3024 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3055 */ "EXT_texture_norm16" "\0"
  /*  3074 */ "Element" "\0"
  /*  3082 */ "ElementInternals" "\0"
  /*  3099 */ "EncodedAudioChunk" "\0"
  /*  3117 */ "EncodedVideoChunk" "\0"
  /*  3135 */ "ErrorEvent" "\0"
  /*  3146 */ "Event" "\0"
  /*  3152 */ "EventCallbackDebuggerNotification" "\0"
  /*  3186 */ "EventCounts" "\0"
  /*  3198 */ "EventSource" "\0"
  /*  3210 */ "EventTarget" "\0"
  /*  3222 */ "Exception" "\0"
  /*  3232 */ "ExtendableEvent" "\0"
  /*  3248 */ "ExtendableMessageEvent" "\0"
  /*  3271 */ "ExtensionAlarms" "\0"
  /*  3287 */ "ExtensionBrowser" "\0"
  /*  3304 */ "ExtensionBrowserSettings" "\0"
  /*  3329 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3369 */ "ExtensionDns" "\0"
  /*  3382 */ "ExtensionEventManager" "\0"
  /*  3404 */ "ExtensionMockAPI" "\0"
  /*  3421 */ "ExtensionPort" "\0"
  /*  3435 */ "ExtensionProxy" "\0"
  /*  3450 */ "ExtensionRuntime" "\0"
  /*  3467 */ "ExtensionScripting" "\0"
  /*  3486 */ "ExtensionSetting" "\0"
  /*  3503 */ "ExtensionTest" "\0"
  /*  3517 */ "External" "\0"
  /*  3526 */ "FeaturePolicy" "\0"
  /*  3540 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3573 */ "FetchEvent" "\0"
  /*  3584 */ "FetchObserver" "\0"
  /*  3598 */ "File" "\0"
  /*  3603 */ "FileList" "\0"
  /*  3612 */ "FileReader" "\0"
  /*  3623 */ "FileReaderSync" "\0"
  /*  3638 */ "FileSystem" "\0"
  /*  3649 */ "FileSystemDirectoryEntry" "\0"
  /*  3674 */ "FileSystemDirectoryHandle" "\0"
  /*  3700 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3740 */ "FileSystemDirectoryIterator" "\0"
  /*  3768 */ "FileSystemDirectoryReader" "\0"
  /*  3794 */ "FileSystemEntry" "\0"
  /*  3810 */ "FileSystemFileEntry" "\0"
  /*  3830 */ "FileSystemFileHandle" "\0"
  /*  3851 */ "FileSystemHandle" "\0"
  /*  3868 */ "FileSystemSyncAccessHandle" "\0"
  /*  3895 */ "FileSystemWritableFileStream" "\0"
  /*  3924 */ "Flex" "\0"
  /*  3929 */ "FlexItemValues" "\0"
  /*  3944 */ "FlexLineValues" "\0"
  /*  3959 */ "FluentBundle" "\0"
  /*  3972 */ "FluentBundleAsyncIterator" "\0"
  /*  3998 */ "FluentBundleIterator" "\0"
  /*  4019 */ "FluentPattern" "\0"
  /*  4033 */ "FluentResource" "\0"
  /*  4048 */ "FocusEvent" "\0"
  /*  4059 */ "FontFace" "\0"
  /*  4068 */ "FontFaceSet" "\0"
  /*  4080 */ "FontFaceSetIterator" "\0"
  /*  4100 */ "FontFaceSetLoadEvent" "\0"
  /*  4121 */ "FormData" "\0"
  /*  4130 */ "FormData Iterator" "\0"
  /*  4148 */ "FormDataEvent" "\0"
  /*  4162 */ "FragmentDirective" "\0"
  /*  4180 */ "FrameCrashedEvent" "\0"
  /*  4198 */ "FrameLoader" "\0"
  /*  4210 */ "GPU" "\0"
  /*  4214 */ "GPUAdapter" "\0"
  /*  4225 */ "GPUAdapterInfo" "\0"
  /*  4240 */ "GPUBindGroup" "\0"
  /*  4253 */ "GPUBindGroupLayout" "\0"
  /*  4272 */ "GPUBuffer" "\0"
  /*  4282 */ "GPUBufferUsage" "\0"
  /*  4297 */ "GPUCanvasContext" "\0"
  /*  4314 */ "GPUColorWrite" "\0"
  /*  4328 */ "GPUCommandBuffer" "\0"
  /*  4345 */ "GPUCommandEncoder" "\0"
  /*  4363 */ "GPUCompilationInfo" "\0"
  /*  4382 */ "GPUCompilationMessage" "\0"
  /*  4404 */ "GPUComputePassEncoder" "\0"
  /*  4426 */ "GPUComputePipeline" "\0"
  /*  4445 */ "GPUDevice" "\0"
  /*  4455 */ "GPUDeviceLostInfo" "\0"
  /*  4473 */ "GPUError" "\0"
  /*  4482 */ "GPUInternalError" "\0"
  /*  4499 */ "GPUMapMode" "\0"
  /*  4510 */ "GPUOutOfMemoryError" "\0"
  /*  4530 */ "GPUPipelineLayout" "\0"
  /*  4548 */ "GPUQuerySet" "\0"
  /*  4560 */ "GPUQueue" "\0"
  /*  4569 */ "GPURenderBundle" "\0"
  /*  4585 */ "GPURenderBundleEncoder" "\0"
  /*  4608 */ "GPURenderPassEncoder" "\0"
  /*  4629 */ "GPURenderPipeline" "\0"
  /*  4647 */ "GPUSampler" "\0"
  /*  4658 */ "GPUShaderModule" "\0"
  /*  4674 */ "GPUShaderStage" "\0"
  /*  4689 */ "GPUSupportedFeatures" "\0"
  /*  4710 */ "GPUSupportedLimits" "\0"
  /*  4729 */ "GPUTexture" "\0"
  /*  4740 */ "GPUTextureUsage" "\0"
  /*  4756 */ "GPUTextureView" "\0"
  /*  4771 */ "GPUUncapturedErrorEvent" "\0"
  /*  4795 */ "GPUValidationError" "\0"
  /*  4814 */ "GainNode" "\0"
  /*  4823 */ "Gamepad" "\0"
  /*  4831 */ "GamepadAxisMoveEvent" "\0"
  /*  4852 */ "GamepadButton" "\0"
  /*  4866 */ "GamepadButtonEvent" "\0"
  /*  4885 */ "GamepadEvent" "\0"
  /*  4898 */ "GamepadHapticActuator" "\0"
  /*  4920 */ "GamepadLightIndicator" "\0"
  /*  4942 */ "GamepadPose" "\0"
  /*  4954 */ "GamepadServiceTest" "\0"
  /*  4973 */ "GamepadTouch" "\0"
  /*  4986 */ "Geolocation" "\0"
  /*  4998 */ "GeolocationCoordinates" "\0"
  /*  5021 */ "GeolocationPosition" "\0"
  /*  5041 */ "GeolocationPositionError" "\0"
  /*  5066 */ "GetUserMediaRequest" "\0"
  /*  5086 */ "GleanBoolean" "\0"
  /*  5099 */ "GleanCategory" "\0"
  /*  5113 */ "GleanCounter" "\0"
  /*  5126 */ "GleanCustomDistribution" "\0"
  /*  5150 */ "GleanDatetime" "\0"
  /*  5164 */ "GleanDenominator" "\0"
  /*  5181 */ "GleanEvent" "\0"
  /*  5192 */ "GleanImpl" "\0"
  /*  5202 */ "GleanLabeled" "\0"
  /*  5215 */ "GleanMemoryDistribution" "\0"
  /*  5239 */ "GleanMetric" "\0"
  /*  5251 */ "GleanNumerator" "\0"
  /*  5266 */ "GleanObject" "\0"
  /*  5278 */ "GleanPingsImpl" "\0"
  /*  5293 */ "GleanQuantity" "\0"
  /*  5307 */ "GleanRate" "\0"
  /*  5317 */ "GleanString" "\0"
  /*  5329 */ "GleanStringList" "\0"
  /*  5345 */ "GleanText" "\0"
  /*  5355 */ "GleanTimespan" "\0"
  /*  5369 */ "GleanTimingDistribution" "\0"
  /*  5393 */ "GleanUrl" "\0"
  /*  5402 */ "GleanUuid" "\0"
  /*  5412 */ "Grid" "\0"
  /*  5417 */ "GridArea" "\0"
  /*  5426 */ "GridDimension" "\0"
  /*  5440 */ "GridLine" "\0"
  /*  5449 */ "GridLines" "\0"
  /*  5459 */ "GridTrack" "\0"
  /*  5469 */ "GridTracks" "\0"
  /*  5480 */ "HTMLAllCollection" "\0"
  /*  5498 */ "HTMLAnchorElement" "\0"
  /*  5516 */ "HTMLAreaElement" "\0"
  /*  5532 */ "HTMLAudioElement" "\0"
  /*  5549 */ "HTMLBRElement" "\0"
  /*  5563 */ "HTMLBaseElement" "\0"
  /*  5579 */ "HTMLBodyElement" "\0"
  /*  5595 */ "HTMLButtonElement" "\0"
  /*  5613 */ "HTMLCanvasElement" "\0"
  /*  5631 */ "HTMLCollection" "\0"
  /*  5646 */ "HTMLDListElement" "\0"
  /*  5663 */ "HTMLDataElement" "\0"
  /*  5679 */ "HTMLDataListElement" "\0"
  /*  5699 */ "HTMLDetailsElement" "\0"
  /*  5718 */ "HTMLDialogElement" "\0"
  /*  5736 */ "HTMLDirectoryElement" "\0"
  /*  5757 */ "HTMLDivElement" "\0"
  /*  5772 */ "HTMLDocument" "\0"
  /*  5785 */ "HTMLElement" "\0"
  /*  5797 */ "HTMLEmbedElement" "\0"
  /*  5814 */ "HTMLFieldSetElement" "\0"
  /*  5834 */ "HTMLFontElement" "\0"
  /*  5850 */ "HTMLFormControlsCollection" "\0"
  /*  5877 */ "HTMLFormElement" "\0"
  /*  5893 */ "HTMLFrameElement" "\0"
  /*  5910 */ "HTMLFrameSetElement" "\0"
  /*  5930 */ "HTMLHRElement" "\0"
  /*  5944 */ "HTMLHeadElement" "\0"
  /*  5960 */ "HTMLHeadingElement" "\0"
  /*  5979 */ "HTMLHtmlElement" "\0"
  /*  5995 */ "HTMLIFrameElement" "\0"
  /*  6013 */ "HTMLImageElement" "\0"
  /*  6030 */ "HTMLInputElement" "\0"
  /*  6047 */ "HTMLLIElement" "\0"
  /*  6061 */ "HTMLLabelElement" "\0"
  /*  6078 */ "HTMLLegendElement" "\0"
  /*  6096 */ "HTMLLinkElement" "\0"
  /*  6112 */ "HTMLMapElement" "\0"
  /*  6127 */ "HTMLMarqueeElement" "\0"
  /*  6146 */ "HTMLMediaElement" "\0"
  /*  6163 */ "HTMLMenuElement" "\0"
  /*  6179 */ "HTMLMetaElement" "\0"
  /*  6195 */ "HTMLMeterElement" "\0"
  /*  6212 */ "HTMLModElement" "\0"
  /*  6227 */ "HTMLOListElement" "\0"
  /*  6244 */ "HTMLObjectElement" "\0"
  /*  6262 */ "HTMLOptGroupElement" "\0"
  /*  6282 */ "HTMLOptionElement" "\0"
  /*  6300 */ "HTMLOptionsCollection" "\0"
  /*  6322 */ "HTMLOutputElement" "\0"
  /*  6340 */ "HTMLParagraphElement" "\0"
  /*  6361 */ "HTMLParamElement" "\0"
  /*  6378 */ "HTMLPictureElement" "\0"
  /*  6397 */ "HTMLPreElement" "\0"
  /*  6412 */ "HTMLProgressElement" "\0"
  /*  6432 */ "HTMLQuoteElement" "\0"
  /*  6449 */ "HTMLScriptElement" "\0"
  /*  6467 */ "HTMLSelectElement" "\0"
  /*  6485 */ "HTMLSlotElement" "\0"
  /*  6501 */ "HTMLSourceElement" "\0"
  /*  6519 */ "HTMLSpanElement" "\0"
  /*  6535 */ "HTMLStyleElement" "\0"
  /*  6552 */ "HTMLTableCaptionElement" "\0"
  /*  6576 */ "HTMLTableCellElement" "\0"
  /*  6597 */ "HTMLTableColElement" "\0"
  /*  6617 */ "HTMLTableElement" "\0"
  /*  6634 */ "HTMLTableRowElement" "\0"
  /*  6654 */ "HTMLTableSectionElement" "\0"
  /*  6678 */ "HTMLTemplateElement" "\0"
  /*  6698 */ "HTMLTextAreaElement" "\0"
  /*  6718 */ "HTMLTimeElement" "\0"
  /*  6734 */ "HTMLTitleElement" "\0"
  /*  6751 */ "HTMLTrackElement" "\0"
  /*  6768 */ "HTMLUListElement" "\0"
  /*  6785 */ "HTMLUnknownElement" "\0"
  /*  6804 */ "HTMLVideoElement" "\0"
  /*  6821 */ "HashChangeEvent" "\0"
  /*  6837 */ "Headers" "\0"
  /*  6845 */ "Headers Iterator" "\0"
  /*  6862 */ "HeapSnapshot" "\0"
  /*  6875 */ "Highlight" "\0"
  /*  6885 */ "HighlightRegistry" "\0"
  /*  6903 */ "History" "\0"
  /*  6911 */ "IDBCursor" "\0"
  /*  6921 */ "IDBCursorWithValue" "\0"
  /*  6940 */ "IDBDatabase" "\0"
  /*  6952 */ "IDBFactory" "\0"
  /*  6963 */ "IDBIndex" "\0"
  /*  6972 */ "IDBKeyRange" "\0"
  /*  6984 */ "IDBObjectStore" "\0"
  /*  6999 */ "IDBOpenDBRequest" "\0"
  /*  7016 */ "IDBRequest" "\0"
  /*  7027 */ "IDBTransaction" "\0"
  /*  7042 */ "IDBVersionChangeEvent" "\0"
  /*  7064 */ "IIRFilterNode" "\0"
  /*  7078 */ "IOUtils" "\0"
  /*  7086 */ "IdentityCredential" "\0"
  /*  7105 */ "IdleDeadline" "\0"
  /*  7118 */ "Image" "\0"
  /*  7124 */ "ImageBitmap" "\0"
  /*  7136 */ "ImageBitmapRenderingContext" "\0"
  /*  7164 */ "ImageCapture" "\0"
  /*  7177 */ "ImageCaptureError" "\0"
  /*  7195 */ "ImageCaptureErrorEvent" "\0"
  /*  7218 */ "ImageData" "\0"
  /*  7228 */ "ImageDocument" "\0"
  /*  7242 */ "InputEvent" "\0"
  /*  7253 */ "InspectorCSSParser" "\0"
  /*  7272 */ "InspectorFontFace" "\0"
  /*  7290 */ "InspectorUtils" "\0"
  /*  7305 */ "InstallTriggerImpl" "\0"
  /*  7324 */ "IntersectionObserver" "\0"
  /*  7345 */ "IntersectionObserverEntry" "\0"
  /*  7371 */ "IntlUtils" "\0"
  /*  7381 */ "InvokeEvent" "\0"
  /*  7393 */ "JSProcessActorChild" "\0"
  /*  7413 */ "JSProcessActorParent" "\0"
  /*  7434 */ "JSWindowActorChild" "\0"
  /*  7453 */ "JSWindowActorParent" "\0"
  /*  7473 */ "KeyEvent" "\0"
  /*  7482 */ "KeyboardEvent" "\0"
  /*  7496 */ "KeyframeEffect" "\0"
  /*  7511 */ "L10nFileSource" "\0"
  /*  7526 */ "L10nOverlays" "\0"
  /*  7539 */ "L10nRegistry" "\0"
  /*  7552 */ "LargestContentfulPaint" "\0"
  /*  7575 */ "LegacyMozTCPSocket" "\0"
  /*  7594 */ "Localization" "\0"
  /*  7607 */ "Location" "\0"
  /*  7616 */ "Lock" "\0"
  /*  7621 */ "LockManager" "\0"
  /*  7633 */ "MIDIAccess" "\0"
  /*  7644 */ "MIDIConnectionEvent" "\0"
  /*  7664 */ "MIDIInput" "\0"
  /*  7674 */ "MIDIInputMap" "\0"
  /*  7687 */ "MIDIMessageEvent" "\0"
  /*  7704 */ "MIDIOutput" "\0"
  /*  7715 */ "MIDIOutputMap" "\0"
  /*  7729 */ "MIDIPort" "\0"
  /*  7738 */ "MOZ_debug" "\0"
  /*  7748 */ "MatchGlob" "\0"
  /*  7758 */ "MatchPattern" "\0"
  /*  7771 */ "MatchPatternSet" "\0"
  /*  7787 */ "MathMLElement" "\0"
  /*  7801 */ "MediaCapabilities" "\0"
  /*  7819 */ "MediaCapabilitiesInfo" "\0"
  /*  7841 */ "MediaControlService" "\0"
  /*  7861 */ "MediaController" "\0"
  /*  7877 */ "MediaDeviceInfo" "\0"
  /*  7893 */ "MediaDevices" "\0"
  /*  7906 */ "MediaElementAudioSourceNode" "\0"
  /*  7934 */ "MediaEncryptedEvent" "\0"
  /*  7954 */ "MediaError" "\0"
  /*  7965 */ "MediaKeyError" "\0"
  /*  7979 */ "MediaKeyMessageEvent" "\0"
  /*  8000 */ "MediaKeySession" "\0"
  /*  8016 */ "MediaKeyStatusMap" "\0"
  /*  8034 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8061 */ "MediaKeySystemAccess" "\0"
  /*  8082 */ "MediaKeys" "\0"
  /*  8092 */ "MediaList" "\0"
  /*  8102 */ "MediaMetadata" "\0"
  /*  8116 */ "MediaQueryList" "\0"
  /*  8131 */ "MediaQueryListEvent" "\0"
  /*  8151 */ "MediaRecorder" "\0"
  /*  8165 */ "MediaRecorderErrorEvent" "\0"
  /*  8189 */ "MediaSession" "\0"
  /*  8202 */ "MediaSource" "\0"
  /*  8214 */ "MediaStream" "\0"
  /*  8226 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8258 */ "MediaStreamAudioSourceNode" "\0"
  /*  8285 */ "MediaStreamError" "\0"
  /*  8302 */ "MediaStreamEvent" "\0"
  /*  8319 */ "MediaStreamTrack" "\0"
  /*  8336 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8368 */ "MediaStreamTrackEvent" "\0"
  /*  8390 */ "MerchantValidationEvent" "\0"
  /*  8414 */ "MessageBroadcaster" "\0"
  /*  8433 */ "MessageChannel" "\0"
  /*  8448 */ "MessageEvent" "\0"
  /*  8461 */ "MessageListenerManager" "\0"
  /*  8484 */ "MessagePort" "\0"
  /*  8496 */ "MessageSender" "\0"
  /*  8510 */ "MimeType" "\0"
  /*  8519 */ "MimeTypeArray" "\0"
  /*  8533 */ "MouseEvent" "\0"
  /*  8544 */ "MouseScrollEvent" "\0"
  /*  8561 */ "MozCanvasPrintState" "\0"
  /*  8581 */ "MozDocumentMatcher" "\0"
  /*  8600 */ "MozDocumentObserver" "\0"
  /*  8620 */ "MozQueryInterface" "\0"
  /*  8638 */ "MozSharedMap" "\0"
  /*  8651 */ "MozSharedMap Iterator" "\0"
  /*  8673 */ "MozSharedMapChangeEvent" "\0"
  /*  8697 */ "MozStorageAsyncStatementParams" "\0"
  /*  8728 */ "MozStorageStatementParams" "\0"
  /*  8754 */ "MozStorageStatementRow" "\0"
  /*  8777 */ "MozWritableSharedMap" "\0"
  /*  8798 */ "MutationEvent" "\0"
  /*  8812 */ "MutationObserver" "\0"
  /*  8829 */ "MutationRecord" "\0"
  /*  8844 */ "NamedNodeMap" "\0"
  /*  8857 */ "NavigationPreloadManager" "\0"
  /*  8882 */ "Navigator" "\0"
  /*  8892 */ "NetworkInformation" "\0"
  /*  8911 */ "Node" "\0"
  /*  8916 */ "NodeFilter" "\0"
  /*  8927 */ "NodeIterator" "\0"
  /*  8940 */ "NodeList" "\0"
  /*  8949 */ "Notification" "\0"
  /*  8962 */ "NotificationEvent" "\0"
  /*  8980 */ "NotifyPaintEvent" "\0"
  /*  8997 */ "OES_draw_buffers_indexed" "\0"
  /*  9022 */ "OES_element_index_uint" "\0"
  /*  9045 */ "OES_fbo_render_mipmap" "\0"
  /*  9067 */ "OES_standard_derivatives" "\0"
  /*  9092 */ "OES_texture_float" "\0"
  /*  9110 */ "OES_texture_float_linear" "\0"
  /*  9135 */ "OES_texture_half_float" "\0"
  /*  9158 */ "OES_texture_half_float_linear" "\0"
  /*  9188 */ "OES_vertex_array_object" "\0"
  /*  9212 */ "OVR_multiview2" "\0"
  /*  9227 */ "OfflineAudioCompletionEvent" "\0"
  /*  9255 */ "OfflineAudioContext" "\0"
  /*  9275 */ "OffscreenCanvas" "\0"
  /*  9291 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9325 */ "Option" "\0"
  /*  9332 */ "OscillatorNode" "\0"
  /*  9347 */ "PageTransitionEvent" "\0"
  /*  9367 */ "PaintRequest" "\0"
  /*  9380 */ "PaintRequestList" "\0"
  /*  9397 */ "PaintWorkletGlobalScope" "\0"
  /*  9421 */ "PannerNode" "\0"
  /*  9432 */ "ParentProcessMessageManager" "\0"
  /*  9460 */ "Path2D" "\0"
  /*  9467 */ "PathUtils" "\0"
  /*  9477 */ "PaymentAddress" "\0"
  /*  9492 */ "PaymentMethodChangeEvent" "\0"
  /*  9517 */ "PaymentRequest" "\0"
  /*  9532 */ "PaymentRequestUpdateEvent" "\0"
  /*  9558 */ "PaymentResponse" "\0"
  /*  9574 */ "PeerConnectionImpl" "\0"
  /*  9593 */ "PeerConnectionObserver" "\0"
  /*  9616 */ "Performance" "\0"
  /*  9628 */ "PerformanceEntry" "\0"
  /*  9645 */ "PerformanceEntryEvent" "\0"
  /*  9667 */ "PerformanceEventTiming" "\0"
  /*  9690 */ "PerformanceMark" "\0"
  /*  9706 */ "PerformanceMeasure" "\0"
  /*  9725 */ "PerformanceNavigation" "\0"
  /*  9747 */ "PerformanceNavigationTiming" "\0"
  /*  9775 */ "PerformanceObserver" "\0"
  /*  9795 */ "PerformanceObserverEntryList" "\0"
  /*  9824 */ "PerformancePaintTiming" "\0"
  /*  9847 */ "PerformanceResourceTiming" "\0"
  /*  9873 */ "PerformanceServerTiming" "\0"
  /*  9897 */ "PerformanceTiming" "\0"
  /*  9915 */ "PeriodicWave" "\0"
  /*  9928 */ "PermissionStatus" "\0"
  /*  9945 */ "Permissions" "\0"
  /*  9957 */ "PlacesBookmark" "\0"
  /*  9972 */ "PlacesBookmarkAddition" "\0"
  /*  9995 */ "PlacesBookmarkChanged" "\0"
  /* 10017 */ "PlacesBookmarkGuid" "\0"
  /* 10036 */ "PlacesBookmarkKeyword" "\0"
  /* 10058 */ "PlacesBookmarkMoved" "\0"
  /* 10078 */ "PlacesBookmarkRemoved" "\0"
  /* 10100 */ "PlacesBookmarkTags" "\0"
  /* 10119 */ "PlacesBookmarkTime" "\0"
  /* 10138 */ "PlacesBookmarkTitle" "\0"
  /* 10158 */ "PlacesBookmarkUrl" "\0"
  /* 10176 */ "PlacesEvent" "\0"
  /* 10188 */ "PlacesEventCounts" "\0"
  /* 10206 */ "PlacesFavicon" "\0"
  /* 10220 */ "PlacesHistoryCleared" "\0"
  /* 10241 */ "PlacesObservers" "\0"
  /* 10257 */ "PlacesPurgeCaches" "\0"
  /* 10275 */ "PlacesRanking" "\0"
  /* 10289 */ "PlacesVisit" "\0"
  /* 10301 */ "PlacesVisitRemoved" "\0"
  /* 10320 */ "PlacesVisitTitle" "\0"
  /* 10337 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10363 */ "Plugin" "\0"
  /* 10370 */ "PluginArray" "\0"
  /* 10382 */ "PluginCrashedEvent" "\0"
  /* 10401 */ "PointerEvent" "\0"
  /* 10414 */ "PopStateEvent" "\0"
  /* 10428 */ "PopupBlockedEvent" "\0"
  /* 10446 */ "PopupPositionedEvent" "\0"
  /* 10467 */ "PositionStateEvent" "\0"
  /* 10486 */ "PrecompiledScript" "\0"
  /* 10504 */ "ProcessMessageManager" "\0"
  /* 10526 */ "ProcessingInstruction" "\0"
  /* 10548 */ "ProgressEvent" "\0"
  /* 10562 */ "PromiseDebugging" "\0"
  /* 10579 */ "PromiseNativeHandler" "\0"
  /* 10600 */ "PromiseRejectionEvent" "\0"
  /* 10622 */ "PublicKeyCredential" "\0"
  /* 10642 */ "PushEvent" "\0"
  /* 10652 */ "PushManager" "\0"
  /* 10664 */ "PushManagerImpl" "\0"
  /* 10680 */ "PushMessageData" "\0"
  /* 10696 */ "PushSubscription" "\0"
  /* 10713 */ "PushSubscriptionOptions" "\0"
  /* 10737 */ "RTCCertificate" "\0"
  /* 10752 */ "RTCDTMFSender" "\0"
  /* 10766 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10789 */ "RTCDataChannel" "\0"
  /* 10804 */ "RTCDataChannelEvent" "\0"
  /* 10824 */ "RTCDtlsTransport" "\0"
  /* 10841 */ "RTCEncodedAudioFrame" "\0"
  /* 10862 */ "RTCEncodedVideoFrame" "\0"
  /* 10883 */ "RTCIceCandidate" "\0"
  /* 10899 */ "RTCIceTransport" "\0"
  /* 10915 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10944 */ "RTCPeerConnection" "\0"
  /* 10962 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10988 */ "RTCPeerConnectionStatic" "\0"
  /* 11012 */ "RTCRtpReceiver" "\0"
  /* 11027 */ "RTCRtpScriptTransform" "\0"
  /* 11049 */ "RTCRtpScriptTransformer" "\0"
  /* 11073 */ "RTCRtpSender" "\0"
  /* 11086 */ "RTCRtpTransceiver" "\0"
  /* 11104 */ "RTCSctpTransport" "\0"
  /* 11121 */ "RTCSessionDescription" "\0"
  /* 11143 */ "RTCStatsReport" "\0"
  /* 11158 */ "RTCTrackEvent" "\0"
  /* 11172 */ "RTCTransformEvent" "\0"
  /* 11190 */ "RadioNodeList" "\0"
  /* 11204 */ "Range" "\0"
  /* 11210 */ "ReadableByteStreamController" "\0"
  /* 11239 */ "ReadableStream" "\0"
  /* 11254 */ "ReadableStream AsyncIterator" "\0"
  /* 11283 */ "ReadableStreamBYOBReader" "\0"
  /* 11308 */ "ReadableStreamBYOBRequest" "\0"
  /* 11334 */ "ReadableStreamDefaultController" "\0"
  /* 11366 */ "ReadableStreamDefaultReader" "\0"
  /* 11394 */ "Report" "\0"
  /* 11401 */ "ReportBody" "\0"
  /* 11412 */ "ReportingObserver" "\0"
  /* 11430 */ "Request" "\0"
  /* 11438 */ "ResizeObserver" "\0"
  /* 11453 */ "ResizeObserverEntry" "\0"
  /* 11473 */ "ResizeObserverSize" "\0"
  /* 11492 */ "Response" "\0"
  /* 11501 */ "SVGAElement" "\0"
  /* 11513 */ "SVGAngle" "\0"
  /* 11522 */ "SVGAnimateElement" "\0"
  /* 11540 */ "SVGAnimateMotionElement" "\0"
  /* 11564 */ "SVGAnimateTransformElement" "\0"
  /* 11591 */ "SVGAnimatedAngle" "\0"
  /* 11608 */ "SVGAnimatedBoolean" "\0"
  /* 11627 */ "SVGAnimatedEnumeration" "\0"
  /* 11650 */ "SVGAnimatedInteger" "\0"
  /* 11669 */ "SVGAnimatedLength" "\0"
  /* 11687 */ "SVGAnimatedLengthList" "\0"
  /* 11709 */ "SVGAnimatedNumber" "\0"
  /* 11727 */ "SVGAnimatedNumberList" "\0"
  /* 11749 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11780 */ "SVGAnimatedRect" "\0"
  /* 11796 */ "SVGAnimatedString" "\0"
  /* 11814 */ "SVGAnimatedTransformList" "\0"
  /* 11839 */ "SVGAnimationElement" "\0"
  /* 11859 */ "SVGCircleElement" "\0"
  /* 11876 */ "SVGClipPathElement" "\0"
  /* 11895 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11931 */ "SVGDefsElement" "\0"
  /* 11946 */ "SVGDescElement" "\0"
  /* 11961 */ "SVGElement" "\0"
  /* 11972 */ "SVGEllipseElement" "\0"
  /* 11990 */ "SVGFEBlendElement" "\0"
  /* 12008 */ "SVGFEColorMatrixElement" "\0"
  /* 12032 */ "SVGFEComponentTransferElement" "\0"
  /* 12062 */ "SVGFECompositeElement" "\0"
  /* 12084 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12111 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12139 */ "SVGFEDisplacementMapElement" "\0"
  /* 12167 */ "SVGFEDistantLightElement" "\0"
  /* 12192 */ "SVGFEDropShadowElement" "\0"
  /* 12215 */ "SVGFEFloodElement" "\0"
  /* 12233 */ "SVGFEFuncAElement" "\0"
  /* 12251 */ "SVGFEFuncBElement" "\0"
  /* 12269 */ "SVGFEFuncGElement" "\0"
  /* 12287 */ "SVGFEFuncRElement" "\0"
  /* 12305 */ "SVGFEGaussianBlurElement" "\0"
  /* 12330 */ "SVGFEImageElement" "\0"
  /* 12348 */ "SVGFEMergeElement" "\0"
  /* 12366 */ "SVGFEMergeNodeElement" "\0"
  /* 12388 */ "SVGFEMorphologyElement" "\0"
  /* 12411 */ "SVGFEOffsetElement" "\0"
  /* 12430 */ "SVGFEPointLightElement" "\0"
  /* 12453 */ "SVGFESpecularLightingElement" "\0"
  /* 12482 */ "SVGFESpotLightElement" "\0"
  /* 12504 */ "SVGFETileElement" "\0"
  /* 12521 */ "SVGFETurbulenceElement" "\0"
  /* 12544 */ "SVGFilterElement" "\0"
  /* 12561 */ "SVGForeignObjectElement" "\0"
  /* 12585 */ "SVGGElement" "\0"
  /* 12597 */ "SVGGeometryElement" "\0"
  /* 12616 */ "SVGGradientElement" "\0"
  /* 12635 */ "SVGGraphicsElement" "\0"
  /* 12654 */ "SVGImageElement" "\0"
  /* 12670 */ "SVGLength" "\0"
  /* 12680 */ "SVGLengthList" "\0"
  /* 12694 */ "SVGLineElement" "\0"
  /* 12709 */ "SVGLinearGradientElement" "\0"
  /* 12734 */ "SVGMPathElement" "\0"
  /* 12750 */ "SVGMarkerElement" "\0"
  /* 12767 */ "SVGMaskElement" "\0"
  /* 12782 */ "SVGMatrix" "\0"
  /* 12792 */ "SVGMetadataElement" "\0"
  /* 12811 */ "SVGNumber" "\0"
  /* 12821 */ "SVGNumberList" "\0"
  /* 12835 */ "SVGPathElement" "\0"
  /* 12850 */ "SVGPathSeg" "\0"
  /* 12861 */ "SVGPathSegArcAbs" "\0"
  /* 12878 */ "SVGPathSegArcRel" "\0"
  /* 12895 */ "SVGPathSegClosePath" "\0"
  /* 12915 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12941 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12967 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12999 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 13031 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 13061 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 13091 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 13127 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 13163 */ "SVGPathSegLinetoAbs" "\0"
  /* 13183 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13213 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13243 */ "SVGPathSegLinetoRel" "\0"
  /* 13263 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13291 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13319 */ "SVGPathSegList" "\0"
  /* 13334 */ "SVGPathSegMovetoAbs" "\0"
  /* 13354 */ "SVGPathSegMovetoRel" "\0"
  /* 13374 */ "SVGPatternElement" "\0"
  /* 13392 */ "SVGPoint" "\0"
  /* 13401 */ "SVGPointList" "\0"
  /* 13414 */ "SVGPolygonElement" "\0"
  /* 13432 */ "SVGPolylineElement" "\0"
  /* 13451 */ "SVGPreserveAspectRatio" "\0"
  /* 13474 */ "SVGRadialGradientElement" "\0"
  /* 13499 */ "SVGRect" "\0"
  /* 13507 */ "SVGRectElement" "\0"
  /* 13522 */ "SVGSVGElement" "\0"
  /* 13536 */ "SVGScriptElement" "\0"
  /* 13553 */ "SVGSetElement" "\0"
  /* 13567 */ "SVGStopElement" "\0"
  /* 13582 */ "SVGStringList" "\0"
  /* 13596 */ "SVGStyleElement" "\0"
  /* 13612 */ "SVGSwitchElement" "\0"
  /* 13629 */ "SVGSymbolElement" "\0"
  /* 13646 */ "SVGTSpanElement" "\0"
  /* 13662 */ "SVGTextContentElement" "\0"
  /* 13684 */ "SVGTextElement" "\0"
  /* 13699 */ "SVGTextPathElement" "\0"
  /* 13718 */ "SVGTextPositioningElement" "\0"
  /* 13744 */ "SVGTitleElement" "\0"
  /* 13760 */ "SVGTransform" "\0"
  /* 13773 */ "SVGTransformList" "\0"
  /* 13790 */ "SVGUnitTypes" "\0"
  /* 13803 */ "SVGUseElement" "\0"
  /* 13817 */ "SVGViewElement" "\0"
  /* 13832 */ "Sanitizer" "\0"
  /* 13842 */ "Scheduler" "\0"
  /* 13852 */ "Screen" "\0"
  /* 13859 */ "ScreenLuminance" "\0"
  /* 13875 */ "ScreenOrientation" "\0"
  /* 13893 */ "ScriptProcessorNode" "\0"
  /* 13913 */ "ScrollAreaEvent" "\0"
  /* 13929 */ "ScrollViewChangeEvent" "\0"
  /* 13951 */ "SecurityPolicyViolationEvent" "\0"
  /* 13980 */ "Selection" "\0"
  /* 13990 */ "ServiceWorker" "\0"
  /* 14004 */ "ServiceWorkerContainer" "\0"
  /* 14027 */ "ServiceWorkerGlobalScope" "\0"
  /* 14052 */ "ServiceWorkerRegistration" "\0"
  /* 14078 */ "SessionStoreFormData" "\0"
  /* 14099 */ "SessionStoreScrollData" "\0"
  /* 14122 */ "SessionStoreUtils" "\0"
  /* 14140 */ "ShadowRealmGlobalScope" "\0"
  /* 14163 */ "ShadowRoot" "\0"
  /* 14174 */ "SharedWorker" "\0"
  /* 14187 */ "SharedWorkerGlobalScope" "\0"
  /* 14211 */ "SimpleGestureEvent" "\0"
  /* 14230 */ "SourceBuffer" "\0"
  /* 14243 */ "SourceBufferList" "\0"
  /* 14260 */ "SpeechGrammar" "\0"
  /* 14274 */ "SpeechGrammarList" "\0"
  /* 14292 */ "SpeechRecognition" "\0"
  /* 14310 */ "SpeechRecognitionAlternative" "\0"
  /* 14339 */ "SpeechRecognitionError" "\0"
  /* 14362 */ "SpeechRecognitionEvent" "\0"
  /* 14385 */ "SpeechRecognitionResult" "\0"
  /* 14409 */ "SpeechRecognitionResultList" "\0"
  /* 14437 */ "SpeechSynthesis" "\0"
  /* 14453 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14479 */ "SpeechSynthesisEvent" "\0"
  /* 14500 */ "SpeechSynthesisUtterance" "\0"
  /* 14525 */ "SpeechSynthesisVoice" "\0"
  /* 14546 */ "StaticRange" "\0"
  /* 14558 */ "StereoPannerNode" "\0"
  /* 14575 */ "Storage" "\0"
  /* 14583 */ "StorageEvent" "\0"
  /* 14596 */ "StorageManager" "\0"
  /* 14611 */ "StreamFilter" "\0"
  /* 14624 */ "StreamFilterDataEvent" "\0"
  /* 14646 */ "StructuredCloneHolder" "\0"
  /* 14668 */ "StructuredCloneTester" "\0"
  /* 14690 */ "StyleSheet" "\0"
  /* 14701 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14738 */ "StyleSheetList" "\0"
  /* 14753 */ "StyleSheetRemovedEvent" "\0"
  /* 14776 */ "SubmitEvent" "\0"
  /* 14788 */ "SubtleCrypto" "\0"
  /* 14801 */ "SyncMessageSender" "\0"
  /* 14819 */ "SyncReadFile" "\0"
  /* 14832 */ "TCPServerSocket" "\0"
  /* 14848 */ "TCPServerSocketEvent" "\0"
  /* 14869 */ "TCPSocket" "\0"
  /* 14879 */ "TCPSocketErrorEvent" "\0"
  /* 14899 */ "TCPSocketEvent" "\0"
  /* 14914 */ "TaskController" "\0"
  /* 14929 */ "TaskPriorityChangeEvent" "\0"
  /* 14953 */ "TaskSignal" "\0"
  /* 14964 */ "TelemetryStopwatch" "\0"
  /* 14983 */ "TestUtils" "\0"
  /* 14993 */ "TestingDeprecatedInterface" "\0"
  /* 15020 */ "Text" "\0"
  /* 15025 */ "TextClause" "\0"
  /* 15036 */ "TextDecoder" "\0"
  /* 15048 */ "TextDecoderStream" "\0"
  /* 15066 */ "TextEncoder" "\0"
  /* 15078 */ "TextEncoderStream" "\0"
  /* 15096 */ "TextEvent" "\0"
  /* 15106 */ "TextMetrics" "\0"
  /* 15118 */ "TextTrack" "\0"
  /* 15128 */ "TextTrackCue" "\0"
  /* 15141 */ "TextTrackCueList" "\0"
  /* 15158 */ "TextTrackList" "\0"
  /* 15172 */ "TimeEvent" "\0"
  /* 15182 */ "TimeRanges" "\0"
  /* 15193 */ "ToggleEvent" "\0"
  /* 15205 */ "Touch" "\0"
  /* 15211 */ "TouchEvent" "\0"
  /* 15222 */ "TouchList" "\0"
  /* 15232 */ "TrackEvent" "\0"
  /* 15243 */ "TransformStream" "\0"
  /* 15259 */ "TransformStreamDefaultController" "\0"
  /* 15292 */ "TransitionEvent" "\0"
  /* 15308 */ "TreeColumn" "\0"
  /* 15319 */ "TreeColumns" "\0"
  /* 15331 */ "TreeContentView" "\0"
  /* 15347 */ "TreeWalker" "\0"
  /* 15358 */ "TrustedHTML" "\0"
  /* 15370 */ "TrustedScript" "\0"
  /* 15384 */ "TrustedScriptURL" "\0"
  /* 15401 */ "TrustedTypePolicy" "\0"
  /* 15419 */ "TrustedTypePolicyFactory" "\0"
  /* 15444 */ "UDPMessageEvent" "\0"
  /* 15460 */ "UDPSocket" "\0"
  /* 15470 */ "UIEvent" "\0"
  /* 15478 */ "URL" "\0"
  /* 15482 */ "URLSearchParams" "\0"
  /* 15498 */ "URLSearchParams Iterator" "\0"
  /* 15523 */ "UniFFIPointer" "\0"
  /* 15537 */ "UniFFIScaffolding" "\0"
  /* 15555 */ "UserActivation" "\0"
  /* 15570 */ "UserInteraction" "\0"
  /* 15586 */ "UserProximityEvent" "\0"
  /* 15605 */ "VRDisplay" "\0"
  /* 15615 */ "VRDisplayCapabilities" "\0"
  /* 15637 */ "VRDisplayEvent" "\0"
  /* 15652 */ "VREyeParameters" "\0"
  /* 15668 */ "VRFieldOfView" "\0"
  /* 15682 */ "VRFrameData" "\0"
  /* 15694 */ "VRMockController" "\0"
  /* 15711 */ "VRMockDisplay" "\0"
  /* 15725 */ "VRPose" "\0"
  /* 15732 */ "VRServiceTest" "\0"
  /* 15746 */ "VRStageParameters" "\0"
  /* 15764 */ "VTTCue" "\0"
  /* 15771 */ "VTTRegion" "\0"
  /* 15781 */ "ValidityState" "\0"
  /* 15795 */ "VideoColorSpace" "\0"
  /* 15811 */ "VideoDecoder" "\0"
  /* 15824 */ "VideoEncoder" "\0"
  /* 15837 */ "VideoFrame" "\0"
  /* 15848 */ "VideoPlaybackQuality" "\0"
  /* 15869 */ "VideoTrack" "\0"
  /* 15880 */ "VideoTrackList" "\0"
  /* 15895 */ "VisualViewport" "\0"
  /* 15910 */ "WEBGL_color_buffer_float" "\0"
  /* 15935 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15965 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15994 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 16024 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 16055 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 16085 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16120 */ "WEBGL_debug_renderer_info" "\0"
  /* 16146 */ "WEBGL_debug_shaders" "\0"
  /* 16166 */ "WEBGL_depth_texture" "\0"
  /* 16186 */ "WEBGL_draw_buffers" "\0"
  /* 16205 */ "WEBGL_explicit_present" "\0"
  /* 16228 */ "WEBGL_lose_context" "\0"
  /* 16247 */ "WEBGL_provoking_vertex" "\0"
  /* 16270 */ "WakeLock" "\0"
  /* 16279 */ "WakeLockSentinel" "\0"
  /* 16296 */ "WaveShaperNode" "\0"
  /* 16311 */ "WebExtensionContentScript" "\0"
  /* 16337 */ "WebExtensionPolicy" "\0"
  /* 16356 */ "WebGL2RenderingContext" "\0"
  /* 16379 */ "WebGLActiveInfo" "\0"
  /* 16395 */ "WebGLBuffer" "\0"
  /* 16407 */ "WebGLContextEvent" "\0"
  /* 16425 */ "WebGLFramebuffer" "\0"
  /* 16442 */ "WebGLProgram" "\0"
  /* 16455 */ "WebGLQuery" "\0"
  /* 16466 */ "WebGLRenderbuffer" "\0"
  /* 16484 */ "WebGLRenderingContext" "\0"
  /* 16506 */ "WebGLSampler" "\0"
  /* 16519 */ "WebGLShader" "\0"
  /* 16531 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16558 */ "WebGLSync" "\0"
  /* 16568 */ "WebGLTexture" "\0"
  /* 16581 */ "WebGLTransformFeedback" "\0"
  /* 16604 */ "WebGLUniformLocation" "\0"
  /* 16625 */ "WebGLVertexArrayObject" "\0"
  /* 16648 */ "WebKitCSSMatrix" "\0"
  /* 16664 */ "WebSocket" "\0"
  /* 16674 */ "WebTransport" "\0"
  /* 16687 */ "WebTransportBidirectionalStream" "\0"
  /* 16719 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16752 */ "WebTransportError" "\0"
  /* 16770 */ "WebTransportReceiveStream" "\0"
  /* 16796 */ "WebTransportSendStream" "\0"
  /* 16819 */ "WebrtcGlobalInformation" "\0"
  /* 16843 */ "WheelEvent" "\0"
  /* 16854 */ "Window" "\0"
  /* 16861 */ "WindowClient" "\0"
  /* 16874 */ "WindowContext" "\0"
  /* 16888 */ "WindowGlobalChild" "\0"
  /* 16906 */ "WindowGlobalParent" "\0"
  /* 16925 */ "WindowRoot" "\0"
  /* 16936 */ "Worker" "\0"
  /* 16943 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16969 */ "WorkerGlobalScope" "\0"
  /* 16987 */ "WorkerLocation" "\0"
  /* 17002 */ "WorkerNavigator" "\0"
  /* 17018 */ "WorkerTestUtils" "\0"
  /* 17034 */ "Worklet" "\0"
  /* 17042 */ "WorkletGlobalScope" "\0"
  /* 17061 */ "WritableStream" "\0"
  /* 17076 */ "WritableStreamDefaultController" "\0"
  /* 17108 */ "WritableStreamDefaultWriter" "\0"
  /* 17136 */ "XMLDocument" "\0"
  /* 17148 */ "XMLHttpRequest" "\0"
  /* 17163 */ "XMLHttpRequestEventTarget" "\0"
  /* 17189 */ "XMLHttpRequestUpload" "\0"
  /* 17210 */ "XMLSerializer" "\0"
  /* 17224 */ "XPathEvaluator" "\0"
  /* 17239 */ "XPathExpression" "\0"
  /* 17255 */ "XPathResult" "\0"
  /* 17267 */ "XRBoundedReferenceSpace" "\0"
  /* 17291 */ "XRFrame" "\0"
  /* 17299 */ "XRInputSource" "\0"
  /* 17313 */ "XRInputSourceArray" "\0"
  /* 17332 */ "XRInputSourceEvent" "\0"
  /* 17351 */ "XRInputSourcesChangeEvent" "\0"
  /* 17377 */ "XRPose" "\0"
  /* 17384 */ "XRReferenceSpace" "\0"
  /* 17401 */ "XRReferenceSpaceEvent" "\0"
  /* 17423 */ "XRRenderState" "\0"
  /* 17437 */ "XRRigidTransform" "\0"
  /* 17454 */ "XRSession" "\0"
  /* 17464 */ "XRSessionEvent" "\0"
  /* 17479 */ "XRSpace" "\0"
  /* 17487 */ "XRSystem" "\0"
  /* 17496 */ "XRView" "\0"
  /* 17503 */ "XRViewerPose" "\0"
  /* 17516 */ "XRViewport" "\0"
  /* 17527 */ "XRWebGLLayer" "\0"
  /* 17540 */ "XSLTProcessor" "\0"
  /* 17554 */ "XULCommandEvent" "\0"
  /* 17570 */ "XULElement" "\0"
  /* 17581 */ "XULFrameElement" "\0"
  /* 17597 */ "XULMenuElement" "\0"
  /* 17612 */ "XULPopupElement" "\0"
  /* 17628 */ "XULResizerElement" "\0"
  /* 17646 */ "XULTextElement" "\0"
  /* 17661 */ "XULTreeElement" "\0"
  /* 17676 */ "console" "\0"
  /* 17684 */ "webkitSpeechGrammar" "\0"
  /* 17704 */ "webkitSpeechGrammarList" "\0"
  /* 17728 */ "webkitSpeechRecognition" "\0"
  /* 17752 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

